org.apache.commons.math3.optimization

## Interface BaseOptimizer<PAIR>

Type Parameters:
  `PAIR` - Type of the point/objective pair.

All Known Subinterfaces:
  BaseMultivariateOptimizer<FUNC>, BaseMultivariateSimpleBoundsOptimizer<FUNC>, BaseMultivariateVectorOptimizer<FUNC>, BaseUnivariateOptimizer<FUNC>, DifferentiableMultivariateOptimizer, DifferentiableMultivariateVectorOptimizer, MultivariateDifferentiableOptimizer, MultivariateDifferentiableVectorOptimizer, MultivariateOptimizer, UnivariateOptimizer

All Known Implementing Classes:
  AbstractDifferentiableOptimizer, AbstractLeastSquaresOptimizer, AbstractScalarDifferentiableOptimizer, BaseAbstractMultivariateOptimizer, BaseAbstractMultivariateSimpleBoundsOptimizer, BaseAbstractMultivariateVectorOptimizer, BaseAbstractUnivariateOptimizer, BaseMultivariateMultiStartOptimizer, BaseMultivariateVectorMultiStartOptimizer, BOBYQAOptimizer, BrentOptimizer, CMAESOptimizer, DifferentiableMultivariateMultiStartOptimizer, DifferentiableMultivariateVectorMultiStartOptimizer, GaussNewtonOptimizer, LevenbergMarquardtOptimizer, MultivariateDifferentiableMultiStartOptimizer, MultivariateDifferentiableVectorMultiStartOptimizer, MultivariateMultiStartOptimizer, NonLinearConjugateGradientOptimizer, PowellOptimizer, PowellOptimizer.LineSearch, SimplexOptimizer, UnivariateMultiStartOptimizer

Deprecated.
As of 3.1 (to be removed in 4.0).

    @Deprecated
    public interface BaseOptimizer<PAIR>

This interface is mainly intended to enforce the internal coherence of Commons-Math. Users of the API are advised to base their code on the following interfaces:

- `MultivariateOptimizer`
- `MultivariateDifferentiableOptimizer`
- `MultivariateDifferentiableVectorOptimizer`
- `UnivariateOptimizer`

Since:
  3.0
Version:
  $Id: BaseOptimizer.java 1422230 2012-12-15 12:11:13Z erans $

### Method Summary

Methods
`ConvergenceChecker<PAIR>` `getConvergenceChecker()` Deprecated. Get the convergence checker.
`int` `getEvaluations()` Deprecated. Get the number of evaluations of the objective function.
`int` `getMaxEvaluations()` Deprecated. Get the maximal number of function evaluations.

### Method Detail

#### getMaxEvaluations

    int getMaxEvaluations()

Deprecated.
Get the maximal number of function evaluations.

Returns:
  the maximal number of function evaluations.

#### getEvaluations

    int getEvaluations()

Deprecated.
Get the number of evaluations of the objective function. The number of evaluations corresponds to the last call to the `optimize` method. It is 0 if the method has not been called yet.

Returns:
  the number of evaluations of the objective function.

#### getConvergenceChecker

    ConvergenceChecker<PAIR> getConvergenceChecker()

Deprecated.
Get the convergence checker.

Returns:
  the object used to check for convergence.